Index: src/backend/nodes/Makefile
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/nodes/Makefile,v
retrieving revision 1.13
diff -c -r1.13 Makefile
*** src/backend/nodes/Makefile	31 Aug 2000 16:10:06 -0000	1.13
--- src/backend/nodes/Makefile	7 Oct 2002 21:08:56 -0000
***************
*** 12,18 ****
  top_builddir = ../../..
  include $(top_builddir)/src/Makefile.global
  
! OBJS = nodeFuncs.o nodes.o list.o \
         copyfuncs.o equalfuncs.o makefuncs.o \
         outfuncs.o readfuncs.o print.o read.o
  
--- 12,18 ----
  top_builddir = ../../..
  include $(top_builddir)/src/Makefile.global
  
! OBJS = nodeFuncs.o list.o \
         copyfuncs.o equalfuncs.o makefuncs.o \
         outfuncs.o readfuncs.o print.o read.o
  
Index: src/backend/nodes/nodes.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/nodes/nodes.c,v
retrieving revision 1.15
diff -c -r1.15 nodes.c
*** src/backend/nodes/nodes.c	20 Jun 2002 20:29:29 -0000	1.15
--- src/backend/nodes/nodes.c	7 Oct 2002 20:40:05 -0000
***************
*** 1,42 ****
- /*-------------------------------------------------------------------------
-  *
-  * nodes.c
-  *	  support code for nodes (now that we get rid of the home-brew
-  *	  inheritance system, our support code for nodes get much simpler)
-  *
-  * Portions Copyright (c) 1996-2002, PostgreSQL Global Development Group
-  * Portions Copyright (c) 1994, Regents of the University of California
-  *
-  *
-  * IDENTIFICATION
-  *	  $Header: /var/lib/cvs/pgsql-server/src/backend/nodes/nodes.c,v 1.15 2002/06/20 20:29:29 momjian Exp $
-  *
-  * HISTORY
-  *	  Andrew Yu			Oct 20, 1994	file creation
-  *
-  *-------------------------------------------------------------------------
-  */
- #include "postgres.h"
- #include "nodes/nodes.h"
- 
- /*
-  * newNode -
-  *	  create a new node of the specified size and tag the node with the
-  *	  specified tag.
-  *
-  * !WARNING!: Avoid using newNode directly. You should be using the
-  *	  macro makeNode. eg. to create a Resdom node, use makeNode(Resdom)
-  *
-  */
- Node *
- newNode(Size size, NodeTag tag)
- {
- 	Node	   *newNode;
- 
- 	Assert(size >= sizeof(Node));		/* need the tag, at least */
- 
- 	newNode = (Node *) palloc(size);
- 	MemSet((char *) newNode, 0, size);
- 	newNode->type = tag;
- 	return newNode;
- }
--- 0 ----
Index: src/include/nodes/nodes.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/nodes/nodes.h,v
retrieving revision 1.118
diff -c -r1.118 nodes.h
*** src/include/nodes/nodes.h	31 Aug 2002 22:10:47 -0000	1.118
--- src/include/nodes/nodes.h	7 Oct 2002 20:40:29 -0000
***************
*** 261,266 ****
--- 261,281 ----
  
  #define nodeTag(nodeptr)		(((Node*)(nodeptr))->type)
  
+ extern inline Node *newNode(Size size, NodeTag tag);
+ 
+ extern inline Node *
+ newNode(Size size, NodeTag tag)
+ {
+ 	Node	   *newNode;
+ 
+ 	Assert(size >= sizeof(Node));		/* need the tag, at least */
+ 
+ 	newNode = (Node *) palloc(size);
+ 	MemSet((char *) newNode, 0, size);
+ 	newNode->type = tag;
+ 	return newNode;
+ }
+ 
  #define makeNode(_type_)		((_type_ *) newNode(sizeof(_type_),T_##_type_))
  #define NodeSetTag(nodeptr,t)	(((Node*)(nodeptr))->type = (t))
  
***************
*** 281,291 ****
   *					  extern declarations follow
   * ----------------------------------------------------------------
   */
- 
- /*
-  * nodes/nodes.c
-  */
- extern Node *newNode(Size size, NodeTag tag);
  
  /*
   * nodes/{outfuncs.c,print.c}
--- 296,301 ----
